{ config, lib, pkgs, ... }:

let cfg = config.sydnix.slippi;
in {
  options.sydnix.slippi = {
    enable = lib.mkEnableOption "slippi";
  };

  config = lib.mkIf cfg.enable {
    sydnix.impermanence.directories = [
      ".config/Slippi Launcher"
      ".config/SlippiOnline"
      ".config/SlippiPlayback"
      # We must manually remove the `export LD_LIBRARY_PATH=...` line for now.
      # fuck.
      ".cache/appimage-run"
    ];
  };
}
